Opened 12 years ago

Closed 12 years ago

Last modified 11 years ago

#15756 closed defect (fixed)

Wine 1.0 fails to compile on Mac Pro with Xquartz 2.2.3

Reported by: cabanela@… Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: Cc: jyrkiwahlstedt
Port:

Description

I was able to compile Wine 1.0 on my MacBook Pro and intel iMac without any issues, just

sudo port upgrade wine

But on my Mac Pro, I do:

sudo port -d selfupdate
sudo port upgrade wine

and it crashes during configure with:

checking for linux/videodev.h... no
checking for linux/capi.h... no
checking for ldd... true
configure: error: X development files not found. Wine will be built
without X support, which probably isn't what you want. You will need to install
development packages of Xlib/Xfree86 at the very least.
Use the --without-x option if you really want this.

Error: Status 1 encountered during processing.

I reinstalled Xquartz (version 2.2.3) to be sure I had all the X11 development files. It still failed. I checked, and on my MacBook Pro and intel iMac, where the configure succeeds, the only xorg related MacPort packages I have installed are

xorg-util-macros               @1.1.5          x11/xorg-util-macros
xorg-xproto                    @7.0.11         x11/xorg-xproto

Not sure what is causing this. Just thought I would report it.

Change History (8)

comment:1 Changed 12 years ago by jmroot (Joshua Root)

Cc: jwa@… added
Milestone: Port Bugs
Owner: changed from macports-tickets@… to ryandesign@…

Assigning to maintainers.

comment:2 Changed 12 years ago by ryandesign (Ryan Schmidt)

I'm not really familiar with XQuartz but I know that wine works fine with the official Apple X11 on Leopard (and Tiger).

Just to check the basics, do you have things in /usr/X11, especially in /usr/X11/include? If not, then I would reinstall XQuartz.

If that's not it, then can you please "sudo port clean --work wine" and then attach the entire output of "sudo port -d upgrade wine"? I'd like to compare your configure output with what I see on my system.

comment:3 Changed 12 years ago by cabanela@…

I checked, X11 does appear to be installed properly. I reinstalled Xquartz yesterday when this started on the assumption that I had forgotten to reinstall it after the last OS update.

The contents of /usr/X11/include are

[xxx:/usr/X11/include] xxx% ls -al
total 12
drwxr-xr-x 13 root wheel  442 2008-06-26 16:34 .
drwxr-xr-x  8 root wheel  272 2008-06-26 16:34 ..
drwxr-xr-x 33 root wheel 1122 2008-06-26 16:33 GL
drwxr-xr-x 90 root wheel 3060 2008-06-26 16:33 X11
drwxr-xr-x 11 root wheel  374 2008-06-26 16:33 cairo
drwxr-xr-x  5 root wheel  170 2008-06-26 16:33 fontconfig
drwxr-xr-x  3 root wheel  102 2008-04-29 02:45 freetype2
-rw-r--r--  1 root wheel 3890 2008-04-29 02:45 ft2build.h
drwxr-xr-x  4 root wheel  136 2008-06-26 16:33 libpng12
drwxr-xr-x  4 root wheel  136 2008-06-26 16:33 pixman-1
lrwxr-xr-x  1 root wheel   14 2008-06-26 16:33 png.h -> libpng12/png.h
lrwxr-xr-x  1 root wheel   18 2008-06-26 16:33 pngconf.h -> libpng12/pngconf.h
drwxr-xr-x 28 root wheel  952 2008-06-26 16:33 xcb

I should point out my MacBook Pro and intel iMac are both running XQuartz (same version, 2.2.3) and were able to compile wine just fine. I try to keep the three machines roughly in sync with regards to OS.

I had tried "cleaning" the setup yesterday, but I wasn't aware of the --work flag. So based on your suggestion, I tried

[xxx:/Users/xxx] xxx% sudo port clean --work wine

--->  Cleaning wine

[xxx:/Users/xxx] xxx% sudo port -d install wine

DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/wine
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/wine
DEBUG: Requested variant darwin is not provided by port wine.
DEBUG: Requested variant i386 is not provided by port wine.
DEBUG: Requested variant macosx is not provided by port wine.
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/XFree86
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/XFree86
DEBUG: Requested variant i386 is not provided by port XFree86.
DEBUG: Executing variant darwin provides darwin
DEBUG: Executing variant macosx provides macosx
DEBUG: Searching for dependency: XFree86
DEBUG: Didn't find receipt, going to depspec regex for: XFree86
DEBUG: Found Dependency: path: /usr/X11R6/lib filename: libX11.6.dylib regex: ^libX11\.6\.dylib$
DEBUG: Found Dependency: path: /usr/X11R6/lib filename: libX11.6.dylib regex: ^libX11\.6\.dylib$
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/expat
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/expat
DEBUG: Requested variant darwin is not provided by port expat.
DEBUG: Requested variant i386 is not provided by port expat.
DEBUG: Requested variant macosx is not provided by port expat.
DEBUG: Searching for dependency: expat
DEBUG: Found Dependency: receipt exists for expat
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/fontconfig
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/fontconfig
DEBUG: Requested variant darwin is not provided by port fontconfig.
DEBUG: Requested variant i386 is not provided by port fontconfig.
DEBUG: Executing variant macosx provides macosx
DEBUG: Searching for dependency: fontconfig
DEBUG: Found Dependency: receipt exists for fontconfig
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/fontforge
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/fontforge
DEBUG: Requested variant darwin is not provided by port fontforge.
DEBUG: Requested variant i386 is not provided by port fontforge.
DEBUG: Requested variant macosx is not provided by port fontforge.
DEBUG: Searching for dependency: fontforge
DEBUG: Found Dependency: receipt exists for fontforge
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/print/freetype
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/print/freetype
DEBUG: Requested variant darwin is not provided by port freetype.
DEBUG: Requested variant i386 is not provided by port freetype.
DEBUG: Requested variant macosx is not provided by port freetype.
DEBUG: Searching for dependency: freetype
DEBUG: Found Dependency: receipt exists for freetype
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/jpeg
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/graphics/jpeg
DEBUG: Requested variant darwin is not provided by port jpeg.
DEBUG: Requested variant i386 is not provided by port jpeg.
DEBUG: Requested variant macosx is not provided by port jpeg.
DEBUG: Searching for dependency: jpeg
DEBUG: Found Dependency: receipt exists for jpeg
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/libiconv
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/libiconv
DEBUG: Requested variant darwin is not provided by port libiconv.
DEBUG: Requested variant i386 is not provided by port libiconv.
DEBUG: Requested variant macosx is not provided by port libiconv.
DEBUG: Searching for dependency: libiconv
DEBUG: Found Dependency: receipt exists for libiconv
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/libxml2
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/libxml2
DEBUG: Requested variant darwin is not provided by port libxml2.
DEBUG: Requested variant i386 is not provided by port libxml2.
DEBUG: Requested variant macosx is not provided by port libxml2.
DEBUG: Searching for dependency: libxml2
DEBUG: Found Dependency: receipt exists for libxml2
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/libxslt
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/libxslt
DEBUG: Requested variant darwin is not provided by port libxslt.
DEBUG: Requested variant i386 is not provided by port libxslt.
DEBUG: Requested variant macosx is not provided by port libxslt.
DEBUG: Searching for dependency: libxslt
DEBUG: Found Dependency: receipt exists for libxslt
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/devel/ncurses
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/devel/ncurses
DEBUG: Requested variant darwin is not provided by port ncurses.
DEBUG: Requested variant i386 is not provided by port ncurses.
DEBUG: Requested variant macosx is not provided by port ncurses.
DEBUG: Searching for dependency: ncurses
DEBUG: Found Dependency: receipt exists for ncurses
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/devel/openssl
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/devel/openssl
DEBUG: Requested variant i386 is not provided by port openssl.
DEBUG: Requested variant macosx is not provided by port openssl.
DEBUG: Executing variant darwin provides darwin
DEBUG: Searching for dependency: openssl
DEBUG: Found Dependency: receipt exists for openssl
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/render
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/render
DEBUG: Requested variant darwin is not provided by port render.
DEBUG: Requested variant i386 is not provided by port render.
DEBUG: Requested variant macosx is not provided by port render.
DEBUG: Searching for dependency: render
DEBUG: Found Dependency: receipt exists for render
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/xrender
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/x11/xrender
DEBUG: Requested variant darwin is not provided by port xrender.
DEBUG: Requested variant i386 is not provided by port xrender.
DEBUG: Requested variant macosx is not provided by port xrender.
DEBUG: Searching for dependency: xrender
DEBUG: Found Dependency: receipt exists for xrender
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/archivers/zlib
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/archivers/zlib
DEBUG: Requested variant darwin is not provided by port zlib.
DEBUG: Requested variant i386 is not provided by port zlib.
DEBUG: Requested variant macosx is not provided by port zlib.
DEBUG: Searching for dependency: zlib
DEBUG: Found Dependency: receipt exists for zlib
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/devel/pkgconfig
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/devel/pkgconfig
DEBUG: Requested variant darwin is not provided by port pkgconfig.
DEBUG: Requested variant i386 is not provided by port pkgconfig.
DEBUG: Requested variant macosx is not provided by port pkgconfig.
DEBUG: Searching for dependency: pkgconfig
DEBUG: Found Dependency: receipt exists for pkgconfig
DEBUG: Executing org.macports.main (wine)
--->  Fetching wine
DEBUG: Executing proc-pre-org.macports.fetch-fetch-0
DEBUG: Executing org.macports.fetch (wine)
--->  Verifying checksum(s) for wine
DEBUG: Executing org.macports.checksum (wine)
--->  Checksumming wine-1.0.tar.bz2
DEBUG: Correct (md5) checksum for wine-1.0.tar.bz2
DEBUG: Correct (sha1) checksum for wine-1.0.tar.bz2
DEBUG: Correct (rmd160) checksum for wine-1.0.tar.bz2
DEBUG: setting option extract.cmd to /opt/local/bin/bzip2
--->  Extracting wine
DEBUG: Executing org.macports.extract (wine)
--->  Extracting wine-1.0.tar.bz2
DEBUG: setting option extract.args to /opt/local/var/macports/distfiles/wine/wine-1.0.tar.bz2
DEBUG: Environment: 
DEBUG: Assembled command: 'cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_x11_wine/work" && /opt/local/bin/bzip2 -dc /opt/local/var/macports/distfiles/wine/wine-1.0.tar.bz2 | /usr/bin/gnutar --no-same-owner -xf -'
DEBUG: Executing org.macports.patch (wine)
--->  Configuring wine
DEBUG: Executing org.macports.configure (wine)
DEBUG: Using compiler 'Mac OS X gcc 4.0'
DEBUG: Environment: CFLAGS='-O2' CPPFLAGS='-I/opt/local/include' CXXFLAGS='-O2' CPP='/usr/bin/cpp-4.0' CXX='/usr/bin/g++-4.0' F90FLAGS='-O2' LDFLAGS='-L/opt/local/lib -framework CoreServices -lz' FCFLAGS='-O2' OBJC='/usr/bin/gcc-4.0' INSTALL='/usr/bin/install' OBJCFLAGS='-O2' FFLAGS='-O2' CC='/usr/bin/gcc-4.0'
DEBUG: Assembled command: 'cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_x11_wine/work/wine-1.0" && ./configure --prefix=/opt/local --x-includes=/usr/X11R6/include/'
checking build system type... i386-apple-darwin9.3.0
checking host system type... i386-apple-darwin9.3.0
checking whether make sets $(MAKE)... yes
checking for gcc... /usr/bin/gcc-4.0
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether /usr/bin/gcc-4.0 accepts -g... yes
checking for /usr/bin/gcc-4.0 option to accept ISO C89... none needed
checking whether we are using the GNU C++ compiler... yes
checking whether /usr/bin/g++-4.0 accepts -g... yes
checking for cpp... cpp
checking for the directory containing the Wine tools... $(TOPOBJDIR)
checking how to run the C preprocessor... /usr/bin/cpp-4.0
checking for X... no
checking for flex... flex
checking for bison... bison
checking for gas... no
checking for as... as
checking for ld... ld
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking for windres... no
checking whether ln -s works... yes
checking whether ln works... yes
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ldconfig... true
checking for a BSD-compatible install... /usr/bin/install
checking for lclint... no
checking for lint... no
checking for fontforge... fontforge
checking for pkg-config... pkg-config
checking for rsvg... no
checking for icotool... no
checking for prelink... false
checking for i386_set_ldt in -li386... no
checking for _oss_ioctl in -lossaudio... no
checking for pthread_create in -lpthread... yes
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking AudioUnit/AudioUnit.h usability... yes
checking AudioUnit/AudioUnit.h presence... yes
checking for AudioUnit/AudioUnit.h... yes
checking Carbon/Carbon.h usability... yes
checking Carbon/Carbon.h presence... yes
checking for Carbon/Carbon.h... yes
checking CoreAudio/CoreAudio.h usability... yes
checking CoreAudio/CoreAudio.h presence... yes
checking for CoreAudio/CoreAudio.h... yes
checking DiskArbitration/DiskArbitration.h usability... yes
checking DiskArbitration/DiskArbitration.h presence... yes
checking for DiskArbitration/DiskArbitration.h... yes
checking IOKit/IOKitLib.h usability... yes
checking IOKit/IOKitLib.h presence... yes
checking for IOKit/IOKitLib.h... yes
checking alsa/asoundlib.h usability... no
checking alsa/asoundlib.h presence... no
checking for alsa/asoundlib.h... no
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking arpa/nameser.h usability... yes
checking arpa/nameser.h presence... yes
checking for arpa/nameser.h... yes
checking asm/types.h usability... no
checking asm/types.h presence... no
checking for asm/types.h... no
checking capi20.h usability... no
checking capi20.h presence... no
checking for capi20.h... no
checking cups/cups.h usability... yes
checking cups/cups.h presence... yes
checking for cups/cups.h... yes
checking curses.h usability... yes
checking curses.h presence... yes
checking for curses.h... yes
checking direct.h usability... no
checking direct.h presence... no
checking for direct.h... no
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking elf.h usability... no
checking elf.h presence... no
checking for elf.h... no
checking float.h usability... yes
checking float.h presence... yes
checking for float.h... yes
checking fontconfig/fontconfig.h usability... yes
checking fontconfig/fontconfig.h presence... yes
checking for fontconfig/fontconfig.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking ieeefp.h usability... no
checking ieeefp.h presence... no
checking for ieeefp.h... no
checking io.h usability... no
checking io.h presence... no
checking for io.h... no
checking jack/jack.h usability... no
checking jack/jack.h presence... no
checking for jack/jack.h... no
checking jpeglib.h usability... yes
checking jpeglib.h presence... yes
checking for jpeglib.h... yes
checking lber.h usability... yes
checking lber.h presence... yes
checking for lber.h... yes
checking lcms.h usability... no
checking lcms.h presence... no
checking for lcms.h... no
checking lcms/lcms.h usability... no
checking lcms/lcms.h presence... no
checking for lcms/lcms.h... no
checking ldap.h usability... yes
checking ldap.h presence... yes
checking for ldap.h... yes
checking libaudioio.h usability... no
checking libaudioio.h presence... no
checking for libaudioio.h... no
checking link.h usability... no
checking link.h presence... no
checking for link.h... no
checking linux/cdrom.h usability... no
checking linux/cdrom.h presence... no
checking for linux/cdrom.h... no
checking linux/compiler.h usability... no
checking linux/compiler.h presence... no
checking for linux/compiler.h... no
checking linux/hdreg.h usability... no
checking linux/hdreg.h presence... no
checking for linux/hdreg.h... no
checking linux/input.h usability... no
checking linux/input.h presence... no
checking for linux/input.h... no
checking linux/ioctl.h usability... no
checking linux/ioctl.h presence... no
checking for linux/ioctl.h... no
checking linux/joystick.h usability... no
checking linux/joystick.h presence... no
checking for linux/joystick.h... no
checking linux/major.h usability... no
checking linux/major.h presence... no
checking for linux/major.h... no
checking linux/param.h usability... no
checking linux/param.h presence... no
checking for linux/param.h... no
checking linux/serial.h usability... no
checking linux/serial.h presence... no
checking for linux/serial.h... no
checking linux/ucdrom.h usability... no
checking linux/ucdrom.h presence... no
checking for linux/ucdrom.h... no
checking mach/mach.h usability... yes
checking mach/mach.h presence... yes
checking for mach/mach.h... yes
checking mach/machine.h usability... yes
checking mach/machine.h presence... yes
checking for mach/machine.h... yes
checking machine/cpu.h usability... no
checking machine/cpu.h presence... no
checking for machine/cpu.h... no
checking machine/limits.h usability... yes
checking machine/limits.h presence... yes
checking for machine/limits.h... yes
checking machine/soundcard.h usability... no
checking machine/soundcard.h presence... no
checking for machine/soundcard.h... no
checking mntent.h usability... no
checking mntent.h presence... no
checking for mntent.h... no
checking ncurses.h usability... yes
checking ncurses.h presence... yes
checking for ncurses.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking netinet/in_systm.h usability... yes
checking netinet/in_systm.h presence... yes
checking for netinet/in_systm.h... yes
checking netinet/tcp.h usability... yes
checking netinet/tcp.h presence... yes
checking for netinet/tcp.h... yes
checking netinet/tcp_fsm.h usability... yes
checking netinet/tcp_fsm.h presence... yes
checking for netinet/tcp_fsm.h... yes
checking openssl/err.h usability... yes
checking openssl/err.h presence... yes
checking for openssl/err.h... yes
checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... yes
checking for openssl/ssl.h... yes
checking png.h usability... yes
checking png.h presence... yes
checking for png.h... yes
checking poll.h usability... yes
checking poll.h presence... yes
checking for poll.h... yes
checking process.h usability... no
checking process.h presence... no
checking for process.h... no
checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking regex.h usability... yes
checking regex.h presence... yes
checking for regex.h... yes
checking sched.h usability... yes
checking sched.h presence... yes
checking for sched.h... yes
checking scsi/scsi.h usability... no
checking scsi/scsi.h presence... no
checking for scsi/scsi.h... no
checking scsi/scsi_ioctl.h usability... no
checking scsi/scsi_ioctl.h presence... no
checking for scsi/scsi_ioctl.h... no
checking scsi/sg.h usability... no
checking scsi/sg.h presence... no
checking for scsi/sg.h... no
checking soundcard.h usability... no
checking soundcard.h presence... no
checking for soundcard.h... no
checking for stdint.h... (cached) yes
checking for strings.h... (cached) yes
checking sys/asoundlib.h usability... no
checking sys/asoundlib.h presence... no
checking for sys/asoundlib.h... no
checking sys/cdio.h usability... no
checking sys/cdio.h presence... no
checking for sys/cdio.h... no
checking sys/elf32.h usability... no
checking sys/elf32.h presence... no
checking for sys/elf32.h... no
checking sys/epoll.h usability... no
checking sys/epoll.h presence... no
checking for sys/epoll.h... no
checking sys/errno.h usability... yes
checking sys/errno.h presence... yes
checking for sys/errno.h... yes
checking sys/event.h usability... yes
checking sys/event.h presence... yes
checking for sys/event.h... yes
checking sys/exec_elf.h usability... no
checking sys/exec_elf.h presence... no
checking for sys/exec_elf.h... no
checking sys/filio.h usability... yes
checking sys/filio.h presence... yes
checking for sys/filio.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/ipc.h usability... yes
checking sys/ipc.h presence... yes
checking for sys/ipc.h... yes
checking sys/limits.h usability... no
checking sys/limits.h presence... no
checking for sys/limits.h... no
checking sys/link.h usability... no
checking sys/link.h presence... no
checking for sys/link.h... no
checking sys/lwp.h usability... no
checking sys/lwp.h presence... no
checking for sys/lwp.h... no
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking sys/modem.h usability... no
checking sys/modem.h presence... no
checking for sys/modem.h... no
checking sys/msg.h usability... yes
checking sys/msg.h presence... yes
checking for sys/msg.h... yes
checking sys/mtio.h usability... yes
checking sys/mtio.h presence... yes
checking for sys/mtio.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/poll.h usability... yes
checking sys/poll.h presence... yes
checking for sys/poll.h... yes
checking sys/prctl.h usability... no
checking sys/prctl.h presence... no
checking for sys/prctl.h... no
checking sys/ptrace.h usability... yes
checking sys/ptrace.h presence... yes
checking for sys/ptrace.h... yes
checking sys/reg.h usability... no
checking sys/reg.h presence... no
checking for sys/reg.h... no
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking sys/scsiio.h usability... no
checking sys/scsiio.h presence... no
checking for sys/scsiio.h... no
checking sys/shm.h usability... yes
checking sys/shm.h presence... yes
checking for sys/shm.h... yes
checking sys/signal.h usability... yes
checking sys/signal.h presence... yes
checking for sys/signal.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/socketvar.h usability... yes
checking sys/socketvar.h presence... yes
checking for sys/socketvar.h... yes
checking sys/sockio.h usability... yes
checking sys/sockio.h presence... yes
checking for sys/sockio.h... yes
checking sys/soundcard.h usability... no
checking sys/soundcard.h presence... no
checking for sys/soundcard.h... no
checking sys/statvfs.h usability... yes
checking sys/statvfs.h presence... yes
checking for sys/statvfs.h... yes
checking sys/strtio.h usability... no
checking sys/strtio.h presence... no
checking for sys/strtio.h... no
checking sys/syscall.h usability... yes
checking sys/syscall.h presence... yes
checking for sys/syscall.h... yes
checking sys/sysctl.h usability... yes
checking sys/sysctl.h presence... yes
checking for sys/sysctl.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/times.h usability... yes
checking sys/times.h presence... yes
checking for sys/times.h... yes
checking sys/uio.h usability... yes
checking sys/uio.h presence... yes
checking for sys/uio.h... yes
checking sys/un.h usability... yes
checking sys/un.h presence... yes
checking for sys/un.h... yes
checking sys/vm86.h usability... no
checking sys/vm86.h presence... no
checking for sys/vm86.h... no
checking sys/wait.h usability... yes
checking sys/wait.h presence... yes
checking for sys/wait.h... yes
checking syscall.h usability... no
checking syscall.h presence... no
checking for syscall.h... no
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking for unistd.h... (cached) yes
checking utime.h usability... yes
checking utime.h presence... yes
checking for utime.h... yes
checking valgrind/memcheck.h usability... no
checking valgrind/memcheck.h presence... no
checking for valgrind/memcheck.h... no
checking whether stat file-mode macros are broken... no
checking for sys/mount.h... yes
checking for sys/statfs.h... no
checking for sys/user.h... yes
checking for sys/vfs.h... no
checking for netinet/in_pcb.h... yes
checking for netinet/ip_var.h... yes
checking for net/if.h... yes
checking for net/if_arp.h... yes
checking for net/if_dl.h... yes
checking for net/if_types.h... yes
checking for net/route.h... yes
checking for netipx/ipx.h... no
checking for netinet/tcp_var.h... yes
checking for linux/ipx.h... no
checking for resolv.h... yes
checking for ucontext.h... yes
checking for sys/thr.h... no
checking for pthread_np.h... no
checking for linux/videodev.h... no
checking for linux/capi.h... no
checking for ldd... true
configure: error: X development files not found. Wine will be built
without X support, which probably isn't what you want. You will need to install
development packages of Xlib/Xfree86 at the very least.
Use the --without-x option if you really want this.
Error: Target org.macports.configure returned: configure failure: shell command " cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_x11_wine/work/wine-1.0" && ./configure --prefix=/opt/local --x-includes=/usr/X11R6/include/ " returned error 1
Command output: checking for utime.h... yes
checking valgrind/memcheck.h usability... no
checking valgrind/memcheck.h presence... no
checking for valgrind/memcheck.h... no
checking whether stat file-mode macros are broken... no
checking for sys/mount.h... yes
checking for sys/statfs.h... no
checking for sys/user.h... yes
checking for sys/vfs.h... no
checking for netinet/in_pcb.h... yes
checking for netinet/ip_var.h... yes
checking for net/if.h... yes
checking for net/if_arp.h... yes
checking for net/if_dl.h... yes
checking for net/if_types.h... yes
checking for net/route.h... yes
checking for netipx/ipx.h... no
checking for netinet/tcp_var.h... yes
checking for linux/ipx.h... no
checking for resolv.h... yes
checking for ucontext.h... yes
checking for sys/thr.h... no
checking for pthread_np.h... no
checking for linux/videodev.h... no
checking for linux/capi.h... no
checking for ldd... true
configure: error: X development files not found. Wine will be built
without X support, which probably isn't what you want. You will need to install
development packages of Xlib/Xfree86 at the very least.
Use the --without-x option if you really want this.

Warning: the following items did not execute (for wine): org.macports.activate org.macports.configure org.macports.build org.macports.destroot org.macports.install
Error: Status 1 encountered during processing.

comment:4 Changed 12 years ago by skymoo (Adam Mercer)

Do you have /usr/X11R6 symlinked to /usr/X11 as it looks like the wine configure process is looking for the X headers in /usr/X11R6/include?

comment:5 Changed 12 years ago by cabanela@…

Yes, /usr/X11R6/include does point to /usr/X11/include.

You can see this in the following command line capture

[xxx:/usr] xxx% ls -al

total 4
drwxr-xr-x  13 root wheel   442 2008-06-26 16:34 .
drwxrwxr-t  47 root admin  1666 2008-06-16 16:36 ..
drwxr-xr-x   8 root wheel   272 2008-06-26 16:34 X11
lrwxr-xr-x   1 root wheel     3 2008-06-26 16:34 X11R6 -> X11
drwxr-xr-x 934 root wheel 31756 2008-06-26 16:33 bin
drwxr-xr-x   3 root wheel   102 2006-09-03 21:49 etc
drwxr-xr-x 266 root wheel  9044 2008-06-26 16:34 include
drwxr-xr-x 401 root wheel 13634 2008-06-26 16:34 lib
drwxr-xr-x  96 root wheel  3264 2008-05-29 10:57 libexec
drwxr-xr-x  34 root wheel  1156 2008-06-03 16:26 local
drwxr-xr-x 245 root wheel  8330 2008-05-29 10:57 sbin
drwxr-xr-x  70 root wheel  2380 2008-05-08 15:50 share
drwxr-xr-x   5 root wheel   170 2008-04-30 19:03 standalone

[xxx:/usr] xxx% ls -al /usr/X11R6/include/

total 12
drwxr-xr-x 13 root wheel  442 2008-06-26 16:34 .
drwxr-xr-x  8 root wheel  272 2008-06-26 16:34 ..
drwxr-xr-x 33 root wheel 1122 2008-06-26 16:33 GL
drwxr-xr-x 90 root wheel 3060 2008-06-26 16:33 X11
drwxr-xr-x 11 root wheel  374 2008-06-26 16:33 cairo
drwxr-xr-x  5 root wheel  170 2008-06-26 16:33 fontconfig
drwxr-xr-x  3 root wheel  102 2008-04-29 02:45 freetype2
-rw-r--r--  1 root wheel 3890 2008-04-29 02:45 ft2build.h
drwxr-xr-x  4 root wheel  136 2008-06-26 16:33 libpng12
drwxr-xr-x  4 root wheel  136 2008-06-26 16:33 pixman-1
lrwxr-xr-x  1 root wheel   14 2008-06-26 16:33 png.h -> libpng12/png.h
lrwxr-xr-x  1 root wheel   18 2008-06-26 16:33 pngconf.h -> libpng12/pngconf.h
drwxr-xr-x 28 root wheel  952 2008-06-26 16:33 xcb

comment:6 Changed 12 years ago by gravydish@…

I was able to fix by editing the wine build file and changing the configure.args variable, adding the --x-libraries option @line 53:

configure.args \
     --x-includes=${x11prefix}/include/ --x-libraries=${x11prefix}/lib

comment:7 Changed 12 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: newclosed

Thanks for figuring this out. I committed the change in r38083.

comment:8 Changed 11 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.